Skip to content
vocapable.Docs

Set the discount allowance, price floor and payments

PUT
/v1/workspace/pricing-policy
curl --request PUT \
--url https://api.vocapable.com/v1/workspace/pricing-policy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "expected_revision": 1, "max_discount_bps": 1, "min_total_minor": 1, "floor_currency": "example", "payment_required_before_delivery": false, "customer_payments": "off", "default_currency": "USD" }'
Media typeapplication/json
WorkspacePricingPolicyUpdate
object
expected_revision
Any of:
integer
>= 1
max_discount_bps
required
Max Discount Bps
integer
<= 10000
min_total_minor
Any of:
integer
> 0
floor_currency
Any of:
string
/^[A-Z]{3}$/
payment_required_before_delivery
Payment Required Before Delivery
boolean
customer_payments
Customer Payments
string
default: deposit_or_full
Allowed values: off deposit deposit_or_full
default_currency
Default Currency
string
default: USD /^[A-Z]{3}$/

Successful Response

Media typeapplication/json
WorkspacePricingPolicy
object
configured
required
Configured
boolean
max_discount_bps
required
Max Discount Bps
integer
min_total_minor
required
Any of:
integer
floor_currency
required
Any of:
string
payment_required_before_delivery
required
Payment Required Before Delivery
boolean
customer_payments
required
Customer Payments
string
Allowed values: off deposit deposit_or_full
default_currency
required
Default Currency
string
revision
required
Revision
integer
updated_by
required
Any of:
WorkspacePersonRef

A teammate named on a record: the id the server holds and the name to show.

object
user_id
required
User Id
string
name
required
Name
string
updated_at
required
Any of:
string format: date-time
Example
{
"customer_payments": "off"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}